CREATE DATABASE  IF NOT EXISTS `gestpackbd` /*!40100 DEFAULT CHARACTER SET utf8 */;
USE `gestpackbd`;
-- MySQL dump 10.13  Distrib 5.6.13, for Win32 (x86)
--
-- Host: localhost    Database: gestpackbd
-- ------------------------------------------------------
-- Server version	5.6.14

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `agencia`
--

DROP TABLE IF EXISTS `agencia`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `agencia` (
  `codiAgencia` int(6) NOT NULL,
  `CIF` varchar(45) NOT NULL COMMENT 'La empresa actual te com franquicia un CIF, pero 2 agencies la 000815 i la 000867,',
  `nomFiscal` varchar(45) NOT NULL,
  `pais` varchar(45) NOT NULL,
  `provincia` varchar(45) NOT NULL,
  `poblacio` varchar(45) NOT NULL,
  `adreca` text NOT NULL,
  `telefon` varchar(20) NOT NULL,
  `fax` varchar(20) DEFAULT NULL,
  `mail` text,
  `CP` varchar(10) NOT NULL,
  PRIMARY KEY (`codiAgencia`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `agencia`
--

LOCK TABLES `agencia` WRITE;
/*!40000 ALTER TABLE `agencia` DISABLE KEYS */;
INSERT INTO `agencia` VALUES (254,'25854951C','iberRuben SA','ES','bacelona','sant boi de llobregat','lleida 8','935842158','935217496','ruben@iberRuben.com','08830'),(815,'52417939A','ibersantjust SL','ES','barcelona','sant joan despi','creu de muntaner 72','934775241','934779652','ib@tl.com','08970'),(867,'47852963B','ibersantjust SL','ES','barcelona','sant joan despi','creu de muntaner 72','934775241','934779652','ib@tl.com','08970');
/*!40000 ALTER TABLE `agencia` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `canalitzacio`
--

DROP TABLE IF EXISTS `canalitzacio`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `canalitzacio` (
  `idCanalitzacio` int(11) NOT NULL AUTO_INCREMENT,
  `Poblacions_CP` varchar(45) NOT NULL,
  `dataEfectiu` date DEFAULT NULL,
  `ambServeiRegio` tinyint(1) DEFAULT NULL,
  `zona` varchar(10) NOT NULL,
  `Poblacions_idPoblacio` int(11) NOT NULL,
  `Poblacions_CP1` varchar(45) NOT NULL,
  `agencia_codiAgencia` int(6) NOT NULL,
  PRIMARY KEY (`idCanalitzacio`,`Poblacions_CP`),
  KEY `fk_Canalitzacions_Poblacions1_idx` (`Poblacions_idPoblacio`,`Poblacions_CP1`),
  KEY `fk_canalitzacio_agencia1_idx` (`agencia_codiAgencia`),
  CONSTRAINT `fk_Canalitzacions_Poblacions1` FOREIGN KEY (`Poblacions_idPoblacio`, `Poblacions_CP1`) REFERENCES `poblacio` (`idPoblacio`, `CP`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_canalitzacio_agencia1` FOREIGN KEY (`agencia_codiAgencia`) REFERENCES `agencia` (`codiAgencia`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `canalitzacio`
--

LOCK TABLES `canalitzacio` WRITE;
/*!40000 ALTER TABLE `canalitzacio` DISABLE KEYS */;
INSERT INTO `canalitzacio` VALUES (1,'80984','2002-12-12',1,'B1_RPTZ',2,'08980',815),(2,'81010','2002-11-01',1,'B1_RPTZ',1,'08970',815),(3,'73009','2002-01-20',1,'B1_RPTZ',4,'08901',815),(4,'73009','2002-01-20',1,'B1_RPTZ',5,'08902',815);
/*!40000 ALTER TABLE `canalitzacio` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `client`
--

DROP TABLE IF EXISTS `client`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `client` (
  `codiClient` int(11) NOT NULL,
  `NIF` varchar(45) NOT NULL,
  `CIF` varchar(45) NOT NULL,
  `nomEmpresa` varchar(45) NOT NULL,
  `nom` varchar(45) NOT NULL,
  `cognoms` varchar(45) NOT NULL,
  `adreca` text,
  `email` varchar(45) DEFAULT NULL,
  `observacions` text,
  `Poblacions_idPoblacio` int(11) NOT NULL,
  `Poblacions_CP` varchar(45) NOT NULL,
  PRIMARY KEY (`codiClient`),
  KEY `fk_Clients_Poblacions1_idx` (`Poblacions_idPoblacio`,`Poblacions_CP`),
  CONSTRAINT `fk_Clients_Poblacions1` FOREIGN KEY (`Poblacions_idPoblacio`, `Poblacions_CP`) REFERENCES `poblacio` (`idPoblacio`, `CP`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `client`
--

LOCK TABLES `client` WRITE;
/*!40000 ALTER TABLE `client` DISABLE KEYS */;
/*!40000 ALTER TABLE `client` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `customer`
--

DROP TABLE IF EXISTS `customer`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `customer` (
  `CUSTOMER_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `NAME` varchar(45) NOT NULL,
  `ADDRESS` varchar(255) NOT NULL,
  `CREATED_DATE` datetime NOT NULL,
  PRIMARY KEY (`CUSTOMER_ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `customer`
--

LOCK TABLES `customer` WRITE;
/*!40000 ALTER TABLE `customer` DISABLE KEYS */;
/*!40000 ALTER TABLE `customer` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `enviament`
--

DROP TABLE IF EXISTS `enviament`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `enviament` (
  `albara` varchar(30) NOT NULL,
  `client` varchar(10) DEFAULT NULL,
  `remitent` varchar(45) NOT NULL,
  `adrecaRemitent` text NOT NULL,
  `poblacioremitent` varchar(45) NOT NULL COMMENT 'La poblacio del remitent pot estar molt lluny de la poblacio de la agencia origen. Aixo passa als pobles de fora de la ciutat.\nHo posarem en un camp en comptes de fer  la relació man la taula població',
  `telfRemitent` varchar(15) NOT NULL,
  `destinatari` varchar(45) NOT NULL,
  `adrecaDestinatari` varchar(45) NOT NULL,
  `poblacioDestinatari` varchar(45) NOT NULL,
  `telfDestinatari` varchar(45) NOT NULL,
  `observEnviament` varchar(45) DEFAULT NULL,
  `documents` int(11) DEFAULT NULL,
  `paquets` int(11) DEFAULT NULL,
  `embalums` int(11) DEFAULT NULL,
  `alzada` double DEFAULT NULL,
  `llarg` double DEFAULT NULL,
  `amplada` double DEFAULT NULL,
  `pesFisic` double DEFAULT NULL,
  `pesVolumet` double DEFAULT NULL,
  `pesEnviamentDecl` double DEFAULT NULL,
  `lliuraDissabte` tinyint(1) DEFAULT NULL,
  `ambTornada` tinyint(1) DEFAULT NULL,
  `ambControl` tinyint(1) DEFAULT NULL,
  `ambGestioFinal` tinyint(1) DEFAULT NULL,
  `escanejoAlbCli` tinyint(1) DEFAULT NULL,
  `identDesti` tinyint(1) DEFAULT NULL,
  `portDegut` double DEFAULT NULL,
  `reembolsament` double DEFAULT NULL,
  `valorDeclarat` double DEFAULT NULL,
  `ctaClient` double DEFAULT NULL,
  `tipusVehicles_idtipusVehicle` int(11) NOT NULL,
  `Serveis_idServei` int(11) NOT NULL,
  `Serveis_tipusServei` varchar(45) NOT NULL,
  `Transportistes_codiTransportista` varchar(9) NOT NULL,
  `Transportistes_NIF` varchar(9) NOT NULL,
  `Canalitzacions_idCanalitzacio` int(11) NOT NULL,
  `Canalitzacions_Poblacions_CP` varchar(45) NOT NULL,
  `agencia_codiAgencia` int(6) NOT NULL,
  PRIMARY KEY (`albara`,`Serveis_idServei`,`Serveis_tipusServei`,`Transportistes_codiTransportista`,`Transportistes_NIF`,`agencia_codiAgencia`),
  UNIQUE KEY `idenviament_UNIQUE` (`albara`),
  KEY `fk_Enviaments_tipusVehicles1_idx` (`tipusVehicles_idtipusVehicle`),
  KEY `fk_Enviaments_Serveis1_idx` (`Serveis_idServei`,`Serveis_tipusServei`),
  KEY `fk_Enviaments_Transportistes1_idx` (`Transportistes_codiTransportista`,`Transportistes_NIF`),
  KEY `fk_Enviaments_Canalitzacions1_idx` (`Canalitzacions_idCanalitzacio`,`Canalitzacions_Poblacions_CP`),
  KEY `fk_enviament_agencia1_idx` (`agencia_codiAgencia`),
  CONSTRAINT `fk_Enviaments_Canalitzacions1` FOREIGN KEY (`Canalitzacions_idCanalitzacio`, `Canalitzacions_Poblacions_CP`) REFERENCES `canalitzacio` (`idCanalitzacio`, `Poblacions_CP`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Enviaments_Serveis1` FOREIGN KEY (`Serveis_idServei`, `Serveis_tipusServei`) REFERENCES `servei` (`idServei`, `tipusServei`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Enviaments_tipusVehicles1` FOREIGN KEY (`tipusVehicles_idtipusVehicle`) REFERENCES `tipusvehicle` (`idtipusVehicle`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Enviaments_Transportistes1` FOREIGN KEY (`Transportistes_codiTransportista`, `Transportistes_NIF`) REFERENCES `transportiste` (`codiTransportista`, `NIF`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_enviament_agencia1` FOREIGN KEY (`agencia_codiAgencia`) REFERENCES `agencia` (`codiAgencia`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `enviament`
--

LOCK TABLES `enviament` WRITE;
/*!40000 ALTER TABLE `enviament` DISABLE KEYS */;
INSERT INTO `enviament` VALUES ('0008150008670123456789001','','Juan','puerto 1','sant joan despi','933739685','jose','portillo 4','sant feliu de llobregat','936855458','es fragil',2,1,1,10,15,5,1.5,4,1.5,0,0,0,0,0,0,0,0,0,0,1,24,'24H','440','48625145C',2,'81010',815),('0008420009639584123541001','4312','Antoni Ruiz Perez','C\\fontsanta 23','barcelona','934321514','bodegas jj','av. mediterrani 34','barcelona','632541245','crujen',0,12,1,150,100,80,70,80,70,0,0,0,0,1,0,0,0,0,0,3,14,'48C','125','48574123F',4,'73009',815),('0008670008159854123549001','4383','Pedro','calle de la esquina S/N','sant boi del llobregat','645825471','vodafone','c/ general 45','sant joan despi','651243857','cap',0,1,1,5,4,3,2.5,3,2.6,1,1,0,0,1,1,35.67,0,500,0,4,7,'S19','441','47614125C',3,'73009',867);
/*!40000 ALTER TABLE `enviament` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `poblacio`
--

DROP TABLE IF EXISTS `poblacio`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `poblacio` (
  `idPoblacio` int(11) NOT NULL,
  `CP` varchar(45) NOT NULL,
  `pais` varchar(45) NOT NULL,
  `nomProvincia` varchar(45) NOT NULL,
  `nomPoblacio` varchar(45) NOT NULL,
  PRIMARY KEY (`idPoblacio`,`CP`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `poblacio`
--

LOCK TABLES `poblacio` WRITE;
/*!40000 ALTER TABLE `poblacio` DISABLE KEYS */;
INSERT INTO `poblacio` VALUES (1,'08970','ES','barcelona','sant joan despi'),(2,'08980','ES','barcelona','sant feliu de llobregat'),(3,'08830','ES','barcelona','hospitalet de llobregat'),(4,'08901','ES','barcelona','hospitalet de llobregat'),(5,'08902','ES','barcelona','hospitalet de llobregat'),(6,'08903','ES','barcelona','hospitalet de llobregat'),(7,'08904','ES','barcelona','hospitalet de llobregat'),(8,'08905','ES','barcelona','hospitalet de llobregat'),(9,'08906','ES','barcelona','hospitalet de llobregat'),(10,'08907','ES','barcelona','hospitalet de llobregat'),(11,'08908','ES','barcelona','hospitalet de llobregat');
/*!40000 ALTER TABLE `poblacio` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `recollida`
--

DROP TABLE IF EXISTS `recollida`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `recollida` (
  `albara` varchar(30) NOT NULL,
  `client` varchar(10) DEFAULT NULL,
  `remitent` varchar(45) NOT NULL,
  `adrecaRemitent` text NOT NULL,
  `poblacioremitent` varchar(45) NOT NULL COMMENT 'La poblacio del remitent pot estar molt lluny de la poblacio de la agencia origen. Aixo passa als pobles de fora de la ciutat.\nHo posarem en un camp en comptes de fer  la relació man la taula població',
  `telfRemitent` varchar(15) NOT NULL,
  `destinatari` varchar(45) NOT NULL,
  `adrecaDestinatari` varchar(45) NOT NULL,
  `poblacioDestinatari` varchar(45) NOT NULL,
  `telfDestinatari` varchar(45) NOT NULL,
  `observEnviament` varchar(45) DEFAULT NULL,
  `documents` int(11) DEFAULT NULL,
  `paquets` int(11) DEFAULT NULL,
  `embalums` int(11) DEFAULT NULL,
  `pesVolumet` double DEFAULT NULL,
  `lliuraDissabte` tinyint(1) DEFAULT NULL,
  `ambTornada` tinyint(1) DEFAULT NULL,
  `ambControl` tinyint(1) DEFAULT NULL,
  `escanejoAlbCli` tinyint(1) DEFAULT NULL,
  `portDegut` double DEFAULT NULL,
  `reembolsament` double DEFAULT NULL,
  `valorDeclarat` double DEFAULT NULL,
  `ctaClient` double DEFAULT NULL,
  `tipusVehicles_idtipusVehicle` int(11) NOT NULL,
  `dataDistribucio` date NOT NULL,
  `horaMin` time DEFAULT NULL,
  `horaMax` time DEFAULT NULL,
  `Serveis_idServei` int(11) NOT NULL,
  `Serveis_tipusServei` varchar(45) NOT NULL,
  `Transportistes_codiTransportista` varchar(9) NOT NULL,
  `Transportistes_NIF` varchar(9) NOT NULL,
  `Canalitzacions_idCanalitzacio` int(11) NOT NULL,
  `Canalitzacions_Poblacions_CP` varchar(45) NOT NULL,
  `agencia_codiAgencia` int(6) NOT NULL,
  PRIMARY KEY (`albara`,`Serveis_idServei`,`Serveis_tipusServei`,`Transportistes_codiTransportista`,`Transportistes_NIF`,`agencia_codiAgencia`),
  UNIQUE KEY `idenviament_UNIQUE` (`albara`),
  KEY `fk_Enviaments_tipusVehicles1_idx` (`tipusVehicles_idtipusVehicle`),
  KEY `fk_Recollides_Serveis1_idx` (`Serveis_idServei`,`Serveis_tipusServei`),
  KEY `fk_Recollides_Transportistes1_idx` (`Transportistes_codiTransportista`,`Transportistes_NIF`),
  KEY `fk_Recollides_Canalitzacions1_idx` (`Canalitzacions_idCanalitzacio`,`Canalitzacions_Poblacions_CP`),
  KEY `fk_recollida_agencia1_idx` (`agencia_codiAgencia`),
  CONSTRAINT `fk_Enviaments_tipusVehicles10` FOREIGN KEY (`tipusVehicles_idtipusVehicle`) REFERENCES `tipusvehicle` (`idtipusVehicle`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_recollida_agencia1` FOREIGN KEY (`agencia_codiAgencia`) REFERENCES `agencia` (`codiAgencia`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Recollides_Canalitzacions1` FOREIGN KEY (`Canalitzacions_idCanalitzacio`, `Canalitzacions_Poblacions_CP`) REFERENCES `canalitzacio` (`idCanalitzacio`, `Poblacions_CP`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Recollides_Serveis1` FOREIGN KEY (`Serveis_idServei`, `Serveis_tipusServei`) REFERENCES `servei` (`idServei`, `tipusServei`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Recollides_Transportistes1` FOREIGN KEY (`Transportistes_codiTransportista`, `Transportistes_NIF`) REFERENCES `transportiste` (`codiTransportista`, `NIF`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `recollida`
--

LOCK TABLES `recollida` WRITE;
/*!40000 ALTER TABLE `recollida` DISABLE KEYS */;
/*!40000 ALTER TABLE `recollida` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `servei`
--

DROP TABLE IF EXISTS `servei`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `servei` (
  `idServei` int(11) NOT NULL AUTO_INCREMENT,
  `tipusServei` varchar(45) NOT NULL,
  `observacions` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idServei`,`tipusServei`)
) ENGINE=InnoDB AUTO_INCREMENT=49 DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `servei`
--

LOCK TABLES `servei` WRITE;
/*!40000 ALTER TABLE `servei` DISABLE KEYS */;
INSERT INTO `servei` VALUES (1,'019',NULL),(2,'096',NULL),(3,'014',NULL),(4,'16H',NULL),(5,'010',NULL),(6,'016',NULL),(7,'S19',NULL),(8,'S10',NULL),(9,'S14',NULL),(10,'048',NULL),(11,'016',NULL),(12,'16M',NULL),(13,'19SN',NULL),(14,'48C',NULL),(15,'63R',NULL),(16,'63S',NULL),(17,'66M',NULL),(18,'66S',NULL),(19,'830',NULL),(24,'24H',NULL),(48,'48H',NULL);
/*!40000 ALTER TABLE `servei` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `tipusvehicle`
--

DROP TABLE IF EXISTS `tipusvehicle`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tipusvehicle` (
  `idtipusVehicle` int(11) NOT NULL,
  `descripcio` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idtipusVehicle`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `tipusvehicle`
--

LOCK TABLES `tipusvehicle` WRITE;
/*!40000 ALTER TABLE `tipusvehicle` DISABLE KEYS */;
INSERT INTO `tipusvehicle` VALUES (1,'camion plataforma'),(2,'furgo 1000'),(3,'furgo 1500'),(4,'furgoneta'),(5,'moto'),(6,'andarin');
/*!40000 ALTER TABLE `tipusvehicle` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `transportiste`
--

DROP TABLE IF EXISTS `transportiste`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `transportiste` (
  `CIF` varchar(9) NOT NULL COMMENT 'N hi han transportistes que tenen al seu fill dins d''una societat de 2 persones:\n2 NIF per una mini empresa de 1 CIF',
  `NIF` varchar(9) NOT NULL,
  `codiTransportista` varchar(9) NOT NULL,
  `nom` varchar(45) NOT NULL,
  `cognoms` varchar(45) NOT NULL,
  `nomFiscal` varchar(45) NOT NULL,
  `pesLimit` int(11) NOT NULL,
  `adreca` text,
  `telefon` varchar(15) DEFAULT NULL,
  `observacions` text,
  `tipusVehicles_idtipusVehicle` int(11) NOT NULL,
  `mobilitat` tinyint(1) DEFAULT NULL,
  `actiu` tinyint(1) DEFAULT NULL,
  `Poblacions_idPoblacio` int(11) NOT NULL,
  `Poblacions_CP` varchar(45) NOT NULL,
  PRIMARY KEY (`codiTransportista`,`NIF`),
  KEY `fk_Transportistes_tipusVehicles1_idx` (`tipusVehicles_idtipusVehicle`),
  KEY `fk_Transportistes_Poblacions1_idx` (`Poblacions_idPoblacio`,`Poblacions_CP`),
  CONSTRAINT `fk_Transportistes_Poblacions1` FOREIGN KEY (`Poblacions_idPoblacio`, `Poblacions_CP`) REFERENCES `poblacio` (`idPoblacio`, `CP`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  CONSTRAINT `fk_Transportistes_tipusVehicles1` FOREIGN KEY (`tipusVehicles_idtipusVehicle`) REFERENCES `tipusvehicle` (`idtipusVehicle`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `transportiste`
--

LOCK TABLES `transportiste` WRITE;
/*!40000 ALTER TABLE `transportiste` DISABLE KEYS */;
INSERT INTO `transportiste` VALUES ('24854742D','48574123F','125','Pepito','Garcia','Pepito Garcia',10,'joan A samaranch','645121232','moto 125',1,1,1,2,'08980'),('25123789A','48625145C','440','Jose Luis','Perez','Transportes Jose Luis SL',1500,'muntanya 25','933778541','es una nissan',3,1,1,2,'08980'),('25123789A','47614125C','441','Manuel','Lopez','Transportes Jose Luis SL',1000,'penya 25','933738457','en una renault',2,1,1,1,'08970');
/*!40000 ALTER TABLE `transportiste` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `usuari`
--

DROP TABLE IF EXISTS `usuari`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `usuari` (
  `NIF` varchar(9) NOT NULL,
  `nom` varchar(45) NOT NULL,
  `cognoms` varchar(45) DEFAULT NULL,
  `adreca` text NOT NULL,
  `email` varchar(45) DEFAULT NULL,
  `observacions` text,
  `nomUsuari` varchar(15) NOT NULL,
  `password` varchar(15) NOT NULL,
  `rol` varchar(10) NOT NULL,
  `Poblacions_idPoblacio` int(11) NOT NULL,
  `Poblacions_CP` varchar(45) NOT NULL,
  PRIMARY KEY (`NIF`),
  KEY `fk_Usuaris_Poblacions1_idx` (`Poblacions_idPoblacio`,`Poblacions_CP`),
  CONSTRAINT `fk_Usuaris_Poblacions1` FOREIGN KEY (`Poblacions_idPoblacio`, `Poblacions_CP`) REFERENCES `poblacio` (`idPoblacio`, `CP`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `usuari`
--

LOCK TABLES `usuari` WRITE;
/*!40000 ALTER TABLE `usuari` DISABLE KEYS */;
INSERT INTO `usuari` VALUES ('47474755W','Mario','Terron','Podio N2 3-1','mario@gmail.com','es experto en excel','marioT','123','N1',2,'08980'),('47614137c','fran','pulido','lleida 82','fran@hotmail.com','avisar abans de donar de baixa a Tomas Ripoll','fjpulido','123','admin',1,'08970'),('47951235','magda','terron','sole 23','magda@hotmail.com','esta en planta 5','mTerron','12345','N1',2,'08980'),('48123123D','Calajan j.','horse','industria 4','po@gmail.com','es una cliente de grandes cuentas','calajan','123','client',3,'08830');
/*!40000 ALTER TABLE `usuari` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2014-01-02 13:34:45
